function arrow(x1,y1,x2,y2,sz,wd)
%-----------------------------------------------%
% Function arrow(x1,y1,x2,y2,sz,wd)             %
% by Nawapak Eua-Anant									%
% Plot the arrow line from (x1,y1) to (x2,y2)   %
% Arrow head length = sz*length of the line     %
% Ratio width/length of arrow head = wd         %
% 0 < sz < 1   wd > 0                           %
%-----------------------------------------------%

asp = get(gca,'DataAspectRatio');
if (isnan(asp))
	wdx = wd;
	wdy = wd;
else
   maxasp = max(asp(1:2));
	wdx = wd/(asp(2)/maxasp);
	wdy = wd/(asp(1)/maxasp);
end
%wdx = wd;
%wdy = wd;
%wmax = max(wdx,wdy);
%wdx = wdx/wmax;
%wdy = wdy/wmax;
x = (x1+(1-sz)*(x2-x1));
y = (y1+(1-sz)*(y2-y1));
cx = (y-y2);
cy = (x-x2);
xu = x + cx*wdx/2;
xd = x - cx*wdx/2;
yu = y - cy*wdy/2;
yd = y + cy*wdy/2;
line([x1 x2 xu xd x2],[y1 y2 yu yd y2]);

		







