function [x1, y1] = streamflow(vx,vy)
%--------------------------------------------%
% Function [x1, y1] = streamflow(vx,vy) 		%
% By Nawapak Eua-anant 						 		%
% Plot stream flow of vector field (vx,vy)	%
% The original point of the stream line is   %
% obtained from mouse click                  %
% [x1,y1] return the coordinates of points   %
% in the stream line                         %
%--------------------------------------------%

pnt = get(gca,'currentpoint');
t1 = streamline(vx,vy,pnt(1,1),pnt(1,2));
set(t1,'color',[1 0 0]);

x1 = get(t1,'xdata');
y1 = get(t1,'ydata');
